Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#11633 - Split doxygen and doxywizard

Attached to Project: Arch Linux
Opened by Val L. (onestep_ua) - Wednesday, 01 October 2008, 14:58 GMT
Last edited by Roman Kyrylych (Romashka) - Sunday, 05 October 2008, 12:02 GMT
Task Type Feature Request
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version None
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
Currently doxywizard comes with doxygen package, what results in make- and optdepends on qt3. As qt3 is not neccesarily gets installed, running doxywizard without it causes missing library error. Also it is always needed to install-then-remove qt3 to rebuild doxygen when it gets updated.
What I suggest is to move doxywizard to another package, which will explicitly depend on qt3.

Additional info:
* package version(s): doxygen 1.5.7-1
This task depends upon

Closed by  Roman Kyrylych (Romashka)
Sunday, 05 October 2008, 12:02 GMT
Reason for closing:  Won't implement
Comment by Jan de Groot (JGC) - Wednesday, 01 October 2008, 22:12 GMT
Splitting packages for a single binary while we can use optdepends doesn't look KISS to me.
Comment by Roman Kyrylych (Romashka) - Sunday, 05 October 2008, 12:01 GMT
I agree with Jan, take a look at virtualbox-ose for a similar situation.

Loading...